GETGet account balance

Returns the balance of coin/fungible asset (primary fungible asset store only) for the specified account, asset type, and ledger version of a specific transaction. If no ledger version is specified in the request, the latest ledger version is used. Aptos nodes prune account state history according to a configurable retention period. If the requested ledger version has been pruned, the server responds with a 410 status code.

Path Parameters
addressstringrequired

The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.

asset_typestringrequired

A parameter used to specify the type of asset to retrieve. The asset type must be provided in one of the following formats:

  • Coin: Struct-form asset ID (e.g., 0x1::aptos_coin::AptosCoin)
  • Fungible Asset: Object address that owns the Token Metadata (e.g., 0xa)
Query Parameters
ledger_versioninteger

The ledger version of the transaction to fetch account state from. If no value is provided, the latest version is used.

Responses
Headers
X-APTOS-BLOCK-HEIGHTintegerrequired

Current block height of the chain

예: 0

X-APTOS-CHAIN-IDintegerrequired

Chain ID of the current chain

예: 0

X-APTOS-EPOCHintegerrequired

Current epoch of the chain

예: 0

X-APTOS-LEDGER-OLDEST-VERSIONintegerrequired

Oldest unpruned ledger version of the chain

예: 0

X-APTOS-LEDGER-TIMESTAMPUSECintegerrequired

Current timestamp of the chain

예: 0

X-APTOS-LEDGER-VERSIONintegerrequired

Current ledger version of the chain

예: 0

X-APTOS-OLDEST-BLOCK-HEIGHTintegerrequired

Oldest unpruned block height of the chain

예: 0

X-APTOS-CURSORstring

Cursor for the next page

예: string

X-APTOS-GAS-USEDinteger

Amount of gas actually used for transaction execution

예: 0

X-API-KEY
RequestCU13
cURL
curl -X GET "https://aptos-mainnet.nodit.io/v1/accounts/0x1/balance/0x1::aptos_coin::AptosCoin?ledger_version=0" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Header · 200
{
  "X-APTOS-BLOCK-HEIGHT": 0,
  "X-APTOS-CHAIN-ID": 0,
  "X-APTOS-EPOCH": 0,
  "X-APTOS-LEDGER-OLDEST-VERSION": 0,
  "X-APTOS-LEDGER-TIMESTAMPUSEC": 0,
  "X-APTOS-LEDGER-VERSION": 0,
  "X-APTOS-OLDEST-BLOCK-HEIGHT": 0,
  "X-APTOS-CURSOR": "string",
  "X-APTOS-GAS-USED": 0
}
Body · 200
10478529012